#!/usr/bin/env node
"use strict";

var _yargs = require("yargs");

var _yargs2 = _interopRequireDefault(_yargs);

var _package = require("../../package.json");

var _package2 = _interopRequireDefault(_package);

var _index = require("../index");

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var argv = _yargs2.default.version(_package2.default.version).help("h").alias("h", "help").wrap(170).usage("Usage: $0 <options>").option("b", {
    alias: "branchToDeploy",
    default: "master",
    describe: "This specifies which branch you want to deploy",
    type: "string"
}).option("d", {
    alias: "deploymentName",
    default: "Staging",
    describe: "This specifies which deployment you want to release the update to",
    type: "string"
}).option("des", {
    alias: "description",
    default: "travis deploy - $TRAVIS_COMMIT",
    describe: "Description of the deployment",
    type: "string"
}).option("dev", {
    alias: "development",
    default: false,
    describe: "This specifies whether to generate a unminified, development JS bundle",
    type: "boolean"
}).option("m", {
    alias: "mandatory",
    default: true,
    describe: "Check if you want your push is mandatory",
    type: "boolean"
}).option("platform", {
    alias: "platforms",
    default: ["android", "ios"],
    describe: "Platform to push [ios or android]",
    choices: ["android", "ios"],
    type: "array"
}).option("targetBinary", {
    alias: "t",
    describe: "The store/binary version of the application you are releasing the update for",
    type: "string"
}).argv;

(0, _index2.default)(argv);